#   DrCr: Web-based double-entry bookkeeping framework
#   Copyright (C) 2022–2023  Lee Yingtong Li (RunasSudo)
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with this program.  If not, see <https://www.gnu.org/licenses/>.

from drcr.models import Amount

class CGTAsset(Amount):
	def __init__(self, quantity, commodity, account, acquisition_date):
		super().__init__(quantity, commodity)
		
		self.account = account
		self.acquisition_date = acquisition_date
		
		self.disposal_date = None
		self.disposal_value = None
	
	def __repr__(self):
		return '<{}: {} [{:%Y-%m-%d}]>'.format(self.__class__.__name__, self.format(True), self.acquisition_date)
	
	def commodity_name(self):
		return self.commodity[:self.commodity.index('{')].strip()
